

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Flint and Steel
recipes.remove(<minecraft:flint_and_steel>);
recipes.addShapeless(<minecraft:flint_and_steel>, [<minecraft:flint>, <ore:ingotSteel>]);

// Craftable Ores (Indcution Smelter)
mods.thermalexpansion.Smelter.addRecipe(20000, <ThermalFoundation:material:0> * 8, <minecraft:stonebrick:2>, <minecraft:iron_ore>);
mods.thermalexpansion.Smelter.addRecipe(70000, <ThermalFoundation:material:1> * 8, <minecraft:stonebrick:2>, <minecraft:gold_ore>);
mods.thermalexpansion.Smelter.addRecipe(50000, <ThermalFoundation:material:36> * 8, <minecraft:stonebrick:2>, <ThermalFoundation:Ore:4>);
mods.thermalexpansion.Smelter.addRecipe(100000, <minecraft:diamond> * 8, <minecraft:stonebrick:2>, <minecraft:diamond_ore>);
mods.thermalexpansion.Smelter.addRecipe(40000, <minecraft:dye:4> * 8, <minecraft:stonebrick:2>, <minecraft:lapis_ore>);
mods.thermalexpansion.Smelter.addRecipe(110000, <minecraft:emerald> * 8, <minecraft:stonebrick:2>, <minecraft:emerald_ore>);
mods.thermalexpansion.Smelter.addRecipe(50000, <minecraft:redstone> * 8, <minecraft:stonebrick:2>, <minecraft:redstone_ore>);
mods.thermalexpansion.Smelter.addRecipe(90000, <minecraft:quartz> * 8, <minecraft:stonebrick:2>, <minecraft:quartz_ore>);
mods.thermalexpansion.Smelter.addRecipe(30000, <ThermalFoundation:material:32> * 8, <minecraft:stonebrick:2>, <ThermalFoundation:Ore:0>);
mods.thermalexpansion.Smelter.addRecipe(30000, <ThermalFoundation:material:33> * 8, <minecraft:stonebrick:2>, <ThermalFoundation:Ore:1>);
mods.thermalexpansion.Smelter.addRecipe(30000, <ThermalFoundation:material:35> * 8, <minecraft:stonebrick:2>, <ThermalFoundation:Ore:3>);
mods.thermalexpansion.Smelter.addRecipe(80000, <ThermalFoundation:material:34> * 8, <minecraft:stonebrick:2>, <ThermalFoundation:Ore:2>);
mods.thermalexpansion.Smelter.addRecipe(40000, <ImmersiveEngineering:metal:11> * 8, <minecraft:stonebrick:2>, <ImmersiveEngineering:ore:1>);
mods.thermalexpansion.Smelter.addRecipe(120000, <ThermalFoundation:material:37> * 8, <minecraft:stonebrick:2>, <ThermalFoundation:Ore:5>);

recipes.remove(<treeGrowingSimulator:clocktwerkEngine>);
recipes.addShaped(<treeGrowingSimulator:clocktwerkEngine>,
  [[<ore:bricksStone>,<ore:ingotSteel>,<ore:bricksStone>],
  [<ore:ingotSteel>,<ore:blockNickel>,<ore:ingotSteel>],
  [<ore:bricksStone>,<ore:ingotSteel>,<ore:bricksStone>]]);


# ------------------------------------------------------------------------------------------
# --------------------------------------------------------------------------A----------------

// Disable some Botania stuff
recipes.remove(<Botania:flightTiara:*>);
mods.botania.Apothecary.removeRecipe("thermalily");

// Make ender air craftable
recipes.addShapeless(<Botania:manaResource:15> * 2,
  [<Botania:enderHand>.giveBack(), <ore:dustEnderPearl>, <minecraft:glass_bottle>]);
# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Crafting Card
recipes.remove(<LogisticsPipes:item.itemModule:600>);
recipes.addShaped(<LogisticsPipes:item.itemModule:600>,
  [[<ore:dyeCeramicBlue>,<BuildCraft|Factory:autoWorkbenchBlock>,null],
  [<ore:dyeCeramicBlue>,<LogisticsPipes:item.itemModule>,<MineFactoryReloaded:ceramicdye:14>],
  [null,<EnderIO:blockCrafter>,<MineFactoryReloaded:ceramicdye:14>]]);

// Crafting Logistic Pipes
recipes.remove(<LogisticsPipes:item.PipeItemsCraftingLogistics>);
recipes.addShapeless(<LogisticsPipes:item.PipeItemsCraftingLogistics>,
  [<LogisticsPipes:item.PipeItemsBasicLogistics>, <LogisticsPipes:item.itemModule:600>]);

// Logistics Pipe Auto Crafting
// Can be exploided...
/*recipes.remove(<LogisticsPipes:logisticsSolidBlock:3>);
recipes.addShaped(<LogisticsPipes:logisticsSolidBlock:3>,
  [[<LogisticsPipes:item.PipeItemsBasicTransport>,<TConstruct:CraftingStation>,<LogisticsPipes:item.PipeItemsBasicTransport>],
  [<BuildCraft|Factory:autoWorkbenchBlock>,<EnderIO:blockCrafter>,<BuildCraft|Factory:autoWorkbenchBlock>],
  [<BuildCraft|Core:engineBlock>,<TConstruct:CraftingStation>,<BuildCraft|Core:engineBlock>]]);*/

// Aura Nodes?
// twilight forest mode GAMERULE tfEnforcedProgression

// Kappa

// Test: Aether, twilight forest

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Enable Blueprint Crafting (Immersive Engineering)
recipes.addShaped(<ImmersiveEngineering:blueprint:2>,
  [[<ore:dustHOPGraphite>, <ore:dustConstantan>, <ore:dustHOPGraphite>],
  [<ore:dyeBlue>, <ore:dyeBlue>, <ore:dyeBlue>],
  [<minecraft:paper>, <minecraft:paper>, <minecraft:paper>]]);

recipes.remove(<ImmersiveEngineering:metalDevice:10>);

recipes.addShaped(<ImmersiveEngineering:metalDevice:10>,
  [[<ore:ingotSteel>, <ore:ingotSteel>, <ore:ingotSteel>],
  [<ore:plateConstantan>, <ImmersiveEngineering:storage:9>, <ore:plateConstantan>],
  [<ore:plateConstantan>, <ore:plateConstantan>, <ore:plateConstantan>]]);

// Nerf gravel, sand and dust

mods.immersiveengineering.Crusher.removeRecipe(<minecraft:sand>);
mods.immersiveengineering.Crusher.removeRecipe(<minecraft:gravel>);

mods.immersiveengineering.Crusher.addRecipe(<minecraft:sand>, <minecraft:gravel>, 10000);
mods.immersiveengineering.Crusher.addRecipe(<minecraft:gravel>, <ore:cobblestone>, 10000);
mods.immersiveengineering.Crusher.addRecipe(<exnihilo:dust>, <minecraft:sand>, 10000);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Disable Combustion Engine, change Stirling Engine
recipes.remove(<BuildCraft|Core:engineBlock:1>);
recipes.remove(<BuildCraft|Core:engineBlock:2>);

// Disable quarry and filler
recipes.remove(<BuildCraft|Builders:machineBlock>);
recipes.remove(<BuildCraft|Builders:fillerBlock>);


recipes.addShaped(<BuildCraft|Core:engineBlock:1>,
  [[<ore:cobblestone>, <ore:cobblestone>, <ore:cobblestone>],
  [<ImmersiveEngineering:material:11>, <ore:blockGlass>, <ImmersiveEngineering:material:11>],
  [<ore:gearIron>, <minecraft:piston>, <ore:gearIron>]]);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Change Solar Recipes (Solar Expansion)
recipes.addShapeless(<TConstruct:materials:22> * 9, [<exnihilo:exnihilo.aluminum_ingot>]);

recipes.remove(<SolarExpansion:photovoltaicCell>);

recipes.addShaped(<SolarExpansion:photovoltaicCell>,
  [[<ore:paneGlass>, <ore:paneGlass>, <ore:paneGlass>],
  [<ore:gemLapis>, <ore:dustPlatinum>, <ore:gemLapis>],
  [<ore:nuggetIron>, <ore:nuggetAluminium>, <ore:nuggetIron>]]);

recipes.remove(<SolarExpansion:solarCoreAdvanced>);

recipes.addShaped(<SolarExpansion:solarCoreAdvanced>,
  [[null, <ore:dustPlatinum>, null],
  [<ore:dustPlatinum>, <SolarExpansion:solarCoreResonant>, <ore:dustPlatinum>],
  [null, <ore:dustPlatinum>, null]]);

recipes.remove(<SolarExpansion:solarCoreUltimate>);

recipes.addShaped(<SolarExpansion:solarCoreUltimate>,
  [[null, <minecraft:nether_star>, null],
  [<ore:blockLumium>, <SolarExpansion:solarCoreAdvanced>, <ore:blockLumium>],
  [null, <ThermalExpansion:Frame:9>, null]]);
