
// Nerf gravel, sand and dust

mods.thermalexpansion.Pulverizer.removeRecipe(<ore:sand>);
mods.thermalexpansion.Pulverizer.removeRecipe(<ore:gravel>);
//mods.thermalexpansion.Pulverizer.removeRecipe(<exnihilo:dust>);
mods.thermalexpansion.Pulverizer.removeRecipe(<ore:blockGlass>);
mods.thermalexpansion.Pulverizer.removeRecipe(<ore:sandstone>);
mods.thermalexpansion.Pulverizer.removeRecipe(<ore:cobblestone>);
mods.thermalexpansion.Pulverizer.removeRecipe(<ore:stone>);
mods.thermalexpansion.Pulverizer.removeRecipe(<minecraft:sandstone_stairs>);
mods.thermalexpansion.Pulverizer.removeRecipe(<minecraft:stone_slab:1>);
mods.thermalexpansion.Pulverizer.removeRecipe(<minecraft:glass_bottle>);

mods.thermalexpansion.Pulverizer.addRecipe(20000, <minecraft:cobblestone>, <minecraft:gravel>, <minecraft:sand>, 10);
mods.thermalexpansion.Pulverizer.addRecipe(20000, <minecraft:gravel>, <minecraft:sand>, <exnihilo:dust>, 10);
mods.thermalexpansion.Pulverizer.addRecipe(20000, <minecraft:sand>, <exnihilo:dust>);
mods.thermalexpansion.Pulverizer.addRecipe(15000, <minecraft:glass>, <minecraft:sand>);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// New Activator Recipe
recipes.remove(<ThermalExpansion:Device:2>);
recipes.addShaped(<ThermalExpansion:Device:2>,
  [[null, <IronChest:BlockIronChest>, null],
  [<ore:gearTin>, <ThermalExpansion:Frame:1>, <ore:gearTin>],
  [null, <ThermalExpansion:material:3>, null]]);

// New Extruder Catalyst recipes
recipes.remove(<ThermalExpansion:augment:314>);
recipes.remove(<ThermalExpansion:augment:313>);
recipes.remove(<ThermalExpansion:augment:312>);

recipes.addShaped(<ThermalExpansion:augment:314>,
  [[<ThermalExpansion:augment:313>, <ore:ingotEnderium>, <ThermalExpansion:augment:313>],
  [<ore:ingotEnderium>, <ThermalExpansion:material>, <ThermalFoundation:material:76>],
  [<ImmersiveEngineering:metalMultiblock>, <ore:ingotEnderium>, <ImmersiveEngineering:metalMultiblock>]]);

recipes.addShaped(<ThermalExpansion:augment:313>,
  [[<ThermalExpansion:augment:312>, <ore:ingotLumium>, <ThermalExpansion:augment:312>],
  [<ore:ingotLumium>, <ThermalExpansion:material>, <ore:ingotLumium>],
  [<ImmersiveEngineering:metalDevice:10>, <ore:ingotLumium>, <ImmersiveEngineering:metalDevice:10>]]);

recipes.addShaped(<ThermalExpansion:augment:312>,
  [[<ore:cobblestone>, <ore:ingotSteel>, <ore:stone>],
  [<ore:ingotSteel>, <ThermalExpansion:material>, <ore:ingotSteel>],
  [<ImmersiveEngineering:metalDecoration:4>, <ore:ingotSteel>, <ImmersiveEngineering:metalDecoration:4>]]);

// Disable dynamos
recipes.remove(<ThermalExpansion:Dynamo>);
recipes.remove(<ThermalExpansion:Dynamo:1>);
recipes.remove(<ThermalExpansion:Dynamo:2>);
recipes.remove(<ThermalExpansion:Dynamo:3>);
recipes.remove(<ThermalExpansion:Dynamo:4>);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// New Frame recipes
recipes.remove(<ThermalExpansion:Frame>);
recipes.remove(<ThermalExpansion:Frame:1>);
recipes.remove(<ThermalExpansion:Frame:2>);
recipes.remove(<ThermalExpansion:Frame:3>);

mods.buildcraft.AssemblyTable.addRecipe(<ThermalExpansion:Frame>, 200000,
  [<ImmersiveEngineering:metalDevice:1>, <excompressum:compressed_dust:1> * 4,
   <ImmersiveEngineering:material:11> * 2, <ore:gearTin>]);

mods.buildcraft.AssemblyTable.addRecipe(<ThermalExpansion:Frame:1>, 400000,
  [<ThermalExpansion:Frame:0>, <ImmersiveEngineering:metalDevice:3>, <ore:gearElectrum>,
  <ore:gearInvar> , <ImmersiveEngineering:material:12> * 2]);

mods.buildcraft.AssemblyTable.addRecipe(<ThermalExpansion:Frame:2>, 800000,
  [<ThermalExpansion:Frame:1>, <ImmersiveEngineering:metalDevice:7>, <ore:gearSignalum>,
  <ore:gearLead>, <ImmersiveEngineering:metalDecoration:8> * 8, <ore:ingotObsidian>]);

mods.buildcraft.AssemblyTable.addRecipe(<ThermalExpansion:Frame:3>, 1600000,
   [<ThermalExpansion:Frame:2>, <ImmersiveEngineering:metalDecoration:5>, <ore:gearEnderium>,
   <ore:gearSilver>, <ore:plateConstantan>, <ore:ingotPlatinum>]);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Disable upgrade Crafting
var ids = [0,1,2,3,4,5,6,7,8,9,10,11] as int[];
for i in ids {
  recipes.remove(<ThermalExpansion:Machine>.definition.makeStack(i));
}

var levels = [0,1,2,3] as int[];

// Redstone Furnace
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <ore:dustRedstone>, null],
  [<minecraft:brick_block>,<ThermalExpansion:Frame>.definition.makeStack(lv),<minecraft:brick_block>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

// Pulverizer
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:1>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:piston>, null],
  [<minecraft:flint>,<ThermalExpansion:Frame>.definition.makeStack(lv),<minecraft:flint>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

// Sawmill
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:2>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:iron_axe>, null],
  [<ore:plankWood>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:plankWood>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

// Induction Smelter
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:3>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:bucket>, null],
  [<ore:ingotInvar>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:ingotInvar>],
  [<ore:gearInvar>,<ThermalExpansion:material:1>,<ore:gearInvar>]]);
}

// Magma Crucible
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:4>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <ThermalExpansion:Frame:4>, null],
  [<minecraft:nether_brick>,<ThermalExpansion:Frame>.definition.makeStack(lv),<minecraft:nether_brick>],
  [<ore:gearInvar>,<ThermalExpansion:material:1>,<ore:gearInvar>]]);
}

// Fluid Transposer
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:5>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:bucket>, null],
  [<ore:blockGlass>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:blockGlass>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

// Glacial blablabla
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:6>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:piston>, null],
  [<ore:ingotInvar>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:ingotInvar>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCop  per>]]);
}

// Igneous Extruder
recipes.addShaped(<ThermalExpansion:Machine:7>.withTag({Level:0 as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:piston>, null],
  [<minecraft:water_bucket>.noReturn(), <ImmersiveEngineering:metalDecoration:7>, <minecraft:lava_bucket>.noReturn()],
  [<ore:gearCopper>, <ThermalExpansion:material>, <ore:gearCopper>]]);

var supermegafancylevels = [1,2,3] as int[];
for lv in supermegafancylevels {
  recipes.addShaped(<ThermalExpansion:Machine:7>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:piston>, null],
  [<ore:blockGlass>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:blockGlass>],
  [<ore:gearCopper>,<ThermalExpansion:material>,<ore:gearCopper>]]);
}

// Aqua Damdam
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:8>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:bucket>, null],
  [<ore:blockGlass>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:blockGlass>],
  [<ore:gearCopper>,<ThermalExpansion:material>,<ore:gearCopper>]]);
}

// Cyclic Assembler
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:9>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <minecraft:chest>, null],
  [<ore:gearTin>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:gearTin>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

// Cyclic Assembler
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:10>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <ThermalExpansion:Frame:4>, null],
  [<ThermalExpansion:material:2>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ThermalExpansion:material:2>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

// Phytopyto
for lv in levels {
  recipes.addShaped(<ThermalExpansion:Machine:11>.withTag({Level:lv as byte, Augments: [{Slot: 0, id: 4516 as short, Count: 1 as byte, Damage: 0 as short}, {Slot: 1, id: 4516 as short, Count: 1 as byte, Damage: 32 as short}, {Slot: 2, id: 4516 as short, Count: 1 as byte, Damage: 16 as short}]}),
  [[null, <ore:gearLumium>, null],
  [<ore:dirt>,<ThermalExpansion:Frame>.definition.makeStack(lv),<ore:dirt>],
  [<ore:gearCopper>,<ThermalExpansion:material:1>,<ore:gearCopper>]]);
}

/*
<ThermalExpansion:Machine:7>.withTag({RSControl: 0 as byte, Facing: 3 as byte, Energy: 0, SideCache: [1, 1, 2, 2, 2, 2] as byte[] as byte[], Level: 0 as byte})

*/

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Add security crafting again (super fancy I guess) - AND NOT WORKING CORRECTLY
//for i in ids {
//  recipes.addShaped(<ThermalExpansion:Machine>.definition.makeStack(i).withTag({Secure: 1 as byte, Access: 0 as byte}),
//  [[null,<ThermalExpansion:material:16>,null],
//  [<ore:nuggetSignalum>,<ThermalExpansion:Machine>.definition.makeStack(i),<ore:nuggetSignalum>],
//  [null,<ore:nuggetSignalum>,null]]);
//}

// FML
