# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Remove all alloys from Induction Furnace (way to easy)
mods.thermalexpansion.Smelter.removeRecipe(<ore:dustObsidian> * 4, <ore:ingotSteel>); // Dark Steel
mods.thermalexpansion.Smelter.removeRecipe(<ore:itemSilicon>, <ore:ingotSteel>); // Electrical Steel
mods.thermalexpansion.Smelter.removeRecipe(<ore:pearlEnder>, <ore:ingotEnergeticAlloy>); // Vibrant Alloy
mods.thermalexpansion.Smelter.removeRecipe(<ore:itemSilicon>, <ore:dustRedstone>); // Redstone Alloy
mods.thermalexpansion.Smelter.removeRecipe(<ore:dustRedstone>, <ore:ingotIron>); // Conductive Iron
mods.thermalexpansion.Smelter.removeRecipe(<ore:pearlEnder>, <ore:ingotIron>); // Pulsating Iron
mods.thermalexpansion.Smelter.removeRecipe(<ore:soulSand>, <ore:ingotGold>); // Soularium

// Remove all alloys from Arc Furnace (to easy)
var ids = [0,1,2,3,4,5,6,7] as int[];
for i in ids {
  mods.immersiveengineering.ArcFurnace.removeRecipe((<EnderIO:itemAlloy>.definition.makeStack(i)));
}

// Dark Steel and energetic steel recipe changed by recipes XML

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Disable a LOT of stuff

recipes.remove(<EnderIO:itemTravelStaff>);
recipes.remove(<EnderIO:blockTravelAnchor>);
recipes.remove(<EnderIO:blockTelePad>);
recipes.remove(<EnderIO:itemRedstoneConduit>);
recipes.remove(<EnderIO:itemRedstoneConduit:1>);
recipes.remove(<EnderIO:itemRedstoneConduit:2>);
recipes.remove(<EnderIO:itemPowerConduit>);
recipes.remove(<EnderIO:itemPowerConduit:1>);
recipes.remove(<EnderIO:itemGliderWing>);
recipes.remove(<EnderIO:itemGliderWing:1>);
recipes.remove(<EnderIO:itemPowerConduit:2>);
recipes.remove(<EnderIO:itemLiquidConduit:2>);
recipes.remove(<EnderIO:itemLiquidConduit:1>);
recipes.remove(<EnderIO:blockPoweredSpawner>);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Alloy Smelter
recipes.remove(<EnderIO:blockAlloySmelter>);
recipes.addShaped(<EnderIO:blockAlloySmelter>,
  [[<ore:blockSteel>,<minecraft:furnace>,<ore:blockSteel>],
  [<ThermalExpansion:Machine:0>,<ThermalExpansion:Frame:2>,<ThermalExpansion:Machine:3>],
  [<ImmersiveEngineering:metalDevice:12>,<minecraft:cauldron>,<ImmersiveEngineering:metalDevice:12>]]);

// Sag Mill
recipes.remove(<EnderIO:blockSagMill>);
recipes.addShaped(<EnderIO:blockSagMill>,
  [[<ore:itemFlint>,<ore:itemFlint>,<ore:itemFlint>],
  [<ore:ingotSteel>,<ore:itemMachineChassi>,<ore:ingotSteel>],
  [<ore:ingotSteel>,<ThermalExpansion:Machine:1>,<ore:ingotSteel>]]);

// Machine Chassi
recipes.remove(<EnderIO:itemMachinePart>);
recipes.addShaped(<EnderIO:itemMachinePart>,
  [[<EnderIO:blockDarkIronBars>,<ore:ingotEnderiumBase>,<EnderIO:blockDarkIronBars>],
  [<ore:ingotEnergeticAlloy>,<ThermalExpansion:Frame:2>,<ore:ingotVibrantAlloy>],
  [<EnderIO:blockDarkIronBars>,<ore:ingotSoularium>,<EnderIO:blockDarkIronBars>]]);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Capacitor Tier 1
recipes.remove(<EnderIO:itemBasicCapacitor>);
recipes.addShaped(<EnderIO:itemBasicCapacitor>,
  [[null,<ore:nuggetLumium>,<ore:dustRedstone>],
  [<ore:nuggetLumium>,<ore:ingotElectrum>,<ore:nuggetLumium>],
  [<ore:dustRedstone>,<ore:nuggetLumium>,null]]);

// Capacitor Tier 2
recipes.remove(<EnderIO:itemBasicCapacitor:1>);
recipes.addShaped(<EnderIO:itemBasicCapacitor:1>,
  [[null,<ore:ingotEnergeticAlloy>,<ore:ingotSignalum>],
  [<EnderIO:itemBasicCapacitor>,<ore:dustCoal>,<EnderIO:itemBasicCapacitor>],
  [<ore:ingotSignalum>,<ore:ingotEnergeticAlloy>,null]]);

// Capacitor Tier 3
recipes.remove(<EnderIO:itemBasicCapacitor:2>);
recipes.addShaped(<EnderIO:itemBasicCapacitor:2>,
  [[null,<ore:ingotVibrantAlloy>,<ore:ingotEnderium>],
  [<EnderIO:itemBasicCapacitor:1>,<ore:glowstone>,<EnderIO:itemBasicCapacitor:1>],
  [<ore:ingotEnderium>,<ore:ingotVibrantAlloy>,null]]);

// Binder Compositer
recipes.remove(<EnderIO:itemMaterial:2>);
recipes.addShaped(<EnderIO:itemMaterial:2> * 8,
  [[<ore:gravel>,<ore:sand>,<ore:gravel>],
  [<ore:dustWood>,<ore:itemClay>,<ore:dustWood>],
  [<ore:gravel>,<ore:sand>,<ore:gravel>]]);

# ------------------------------------------------------------------------------------------
# ------------------------------------------------------------------------------------------

// Stirling Generator
recipes.remove(<EnderIO:blockStirlingGenerator>);
recipes.addShaped(<EnderIO:blockStirlingGenerator>,
  [[<ore:bricksStone>,<ore:bricksStone>,<ore:bricksStone>],
  [<ore:bricksStone>,<BuildCraft|Core:engineBlock:1>,<ore:bricksStone>],
  [<ore:gearIron>,<minecraft:furnace>,<ore:gearIron>]]);

// Farming Station
recipes.remove(<EnderIO:blockFarmStation>);
recipes.addShaped(<EnderIO:blockFarmStation>,
  [[<ore:ingotElectricalSteel>,<MineFactoryReloaded:machine.0:2>,<ore:ingotElectricalSteel>],
  [<ore:ingotElectricalSteel>,<EnderIO:itemMachinePart>,<ore:ingotElectricalSteel>],
  [<ore:itemEnderCrystal>,<EnderIO:itemFrankenSkull:1>,<ore:itemEnderCrystal>]]);

// Enchanter
recipes.remove(<EnderIO:blockEnchanter>);
recipes.addShaped(<EnderIO:blockEnchanter>,
  [[<EnderIO:itemMaterial:9>,<minecraft:enchanting_table>,<EnderIO:itemMaterial:9>],
  [<ore:ingotDarkSteel>,<ore:ingotDarkSteel>,<ore:ingotDarkSteel>],
  [null,<ore:ingotDarkSteel>,null]]);

// Item Conduits
recipes.remove(<EnderIO:itemItemConduit>);
recipes.addShaped(<EnderIO:itemItemConduit> * 8,
  [[<BuildCraft|Transport:item.buildcraftPipe.pipeitemsemerald>,<ore:itemConduitBinder>,<ore:ingotPulsatingIron>],
  [<ore:ingotEnderium>,<ore:ingotEnergeticAlloy>,<ore:ingotEnderium>],
  [<ore:ingotPulsatingIron>,<ore:itemConduitBinder>,<BuildCraft|Transport:item.buildcraftPipe.pipeitemsemerald>]]);

recipes.remove(<EnderIO:itemLiquidConduit>);
recipes.addShaped(<EnderIO:itemLiquidConduit> * 2,
  [[<ore:itemConduitBinder>,<ore:itemConduitBinder>,<ore:itemConduitBinder>],
  [<BuildCraft|Transport:pipeWaterproof>,<BuildCraft|Transport:item.buildcraftPipe.pipefluidsquartz>,<BuildCraft|Transport:pipeWaterproof>],
  [<ore:itemConduitBinder>,<ore:itemConduitBinder>,<ore:itemConduitBinder>]]);
